### Method

# CM Client remove_pusher_async

since: 0.0.1

#### Declaration [src]

    void
    cm_client_remove_pusher_async (
      CmClient* self,
      CmPusher* pusher,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Remove a pusher from the list of pushers known for the client.

Available since: 0.0.1

This method completes asynchronously. Use `cm_client_remove_pusher_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`pusher`

  Type: `CmPusher`

  The pusher to remove.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback function to invoke when the information is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.